{% extends 'base.html.twig' %}

{% block title %}{{parent()}} Anthologie{% endblock %}

{% block body %}
<div class="row">

  <h1 class="mb-4 display-1">
    <span class="text-muted">Anthologie :</span> {{anthology.title}}
  </h1>
    
  <div class="accordion mb-4">

    <div class="accordion-item">

      <h2 class="accordion-header">
        <button class="accordion-button" type="button" data-bs-toggle="collapse" aria-expanded="true" data-bs-target="#collapse-infos" aria-controls="collapse-infos">
          Informations
        </button>
      </h2>

     <div id="collapse-infos" class="accordion-collapse collapse show" >
        <div class="accordion-body">
          <ul class="list-group list-group-flush">
            <li class="list-group-item">

              {% if anthology.alternativeTitle %}
                <span class="metadata-name">
                  Titre alternatif
                </span> 
                {{anthology.alternativeTitle}}<br/>
              {% endif %}

              {% if anthology.alternativeSubtitle %}
                <span class="metadata-name">
                  Sous-titre alternatif
                </span> 
                {{anthology.alternativeSubtitle}}<br/>
              {% endif %}

              <span class="metadata-name">
              Date de publication
              </span>
              {# <a href="{{ path('dateaccess', {'from': anthology.start|date("Y-m-d", false), 'to': anthology.end|date("Y-m-d", false)}) }}"> #}
                {{ interval( anthology.start, anthology.end) }}
              {# </a> #}
              <br/>

              {% if anthology.location is not empty %}
                  {% for location in anthology.location %}
                      <span class="metadata-name">Lieu de publication</span>
                      {% if location.name %}
                          {{ location.name }} 
                      {% endif %}
                      {{ not loop.last ? ' ,' }}
                  {% endfor %}
              {% endif %}

            </li>
          </ul>
        </div>
      </div>


    {% if anthology.publications is not empty %}
    <div class="accordion-item">
      <h2 class="accordion-header">
        <button class="accordion-button" type="button" data-bs-toggle="collapse" aria-expanded="true" data-bs-target="#collapse-publications" aria-controls="collapse-publications">
          Textes réunis ({{anthology.publications|length}})
        </button>
      </h2>
      <div id="collapse-publications" class="accordion-collapse collapse show" >
        <div class="accordion-body">


           <table id="datatable" class="table table-striped">
              <thead>
                <tr>
                  <th scope="col">Édition</th>
                  <th scope="col">Pièce</th>
                </tr>
              </thead>
              <tbody>
                {% for publication in anthology.publications %}

                  {% if publication.title %}
                      {% set publititle = publication.title  %} 
                  {% elseif publication.alternativeTitle %}
                      {% set publititle = publication.alternativeTitle  %} 
                  {% else %}
                      {% set publititle = publication.script.title %}
                  {% endif %}

                  <tr>
                    <td scope="col">
                        <a href="{{ path('publication', {id: publication.id}) }}">
                          <i> {{publititle}}</i>
                            , {{ interval( publication.start, publication.end) }}, {% for loc in publication.location %}                    
                                    {{loc.name}}{{ not loop.last ? '-' }}
                              {% endfor %}
                        </a> 
                    </td>

                    <td scope="col">
                        <a href="{{ path('script', {id: publication.script.id}) }}">
                          <i> {{publication.script.title}}</i>
                            , {{ interval( publication.start, publication.end) }}

                              {% if publication.script.creators is not empty %}
                              (
                                {% for creator in publication.script.creators %}                    
                                      {{creator.person.lastName}}{{ not loop.last ? '-' }}
                                {% endfor %}
                              )
                              {% endif %}
                        </a> 
                    </td>

                  </tr>
                {% endfor %}
              </tbody>
            </table>






        </div>
      </div>
    {% endif %}




  </div>
</div>
{% endblock %}
